#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#define JTAG_PORT       2540
#define MEMORY_LENGTH   4096

#include <QMainWindow>
#include <QTcpSocket>       // "QT += network" nel progetto, altrimenti errore

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void readData();

    void on_ConnectButton_clicked();

    void on_SendButton_clicked();

private:
    Ui::MainWindow *ui;

    unsigned char bufNum;           // numero da trasmettere
    QTcpSocket *MySocket;
};

#endif // MAINWINDOW_H
